<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('app_version', function (Blueprint $table) {
            $table->integer("force_update")->default(0)->comment("是否强制更新 0:否 1:是")->after("code");
            $table->integer("platform")->default(0)->comment("平台 0:安卓用户端 1:安卓教练端")->after("force_update");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('app_version', function (Blueprint $table) {
            $table->dropColumn("force_update");
            $table->dropColumn("platform");
        });
    }
};
